<?php
	$StrCmd=V($_POST['TxtAc']);	
	//
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//	
		if (!($StrExt== "xls" || $StrExt=="XLS")){ 
			$LStrMsg="La extension debe ser XLS : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{ 
			$StrFileNew="inv_precios.xls";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){ 
				XLS_PRECIOS(0);
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('CmdB').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";		
			} 
		}
		// 
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('CmdB').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>